# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define modname mcrypt
%define soname %{modname}
%define inifile 30_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

Summary:	Bindings for the libmcrypt library
Name:		php-%{modname}
Version:	1.0.7
Epoch:	4
Release:	%mkrel 4
Source0:	https://pecl.php.net/get/mcrypt-%{version}.tgz
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/mcrypt
BuildRequires:	libmcrypt-devel
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:%{phplong}.0
Obsoletes:	php-pecl-mcrypt < 9.0.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Group:		Development/PHP
Summary:	Bindings for the libmcrypt library
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description -n php%{phplong}-%{modname}
Provides bindings for the unmaintained libmcrypt.

%prep
%autosetup -S hg -n %{modname}-%{version}

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
	--with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{extdir}
install -m0755 modules/%{soname}.so %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files -n php%{phplong}-%{modname}
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}.so


%changelog
* Sat Jan 20 2024 mokraemer <mokraemer> 4:1.0.7-4.mga10
+ Revision: 2032726
- rebuild for include path change

* Thu Jan 18 2024 mokraemer <mokraemer> 3.mga10-current
+ Revision: 2031978
- support multiple php-versions
- prepare multi-php
- new release 1.0.7

* Fri Sep 08 2023 mokraemer <mokraemer> 4:1.0.5-6.mga10
+ Revision: 1985189
- rebuild for php 8.3

* Tue Nov 01 2022 mokraemer <mokraemer> 4:1.0.5-5.mga9
+ Revision: 1901089
- rebuild for php 8.2

* Wed Aug 24 2022 mokraemer <mokraemer> 4:1.0.5-4.mga9
+ Revision: 1879781
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 4:1.0.5-3.mga9
+ Revision: 1869974
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 4:1.0.5-2.mga9
+ Revision: 1869843
- rebuild for php 8.2

* Mon May 23 2022 mokraemer <mokraemer> 4:1.0.5-1.mga9
+ Revision: 1859921
- new version 1.0.5

* Sat Mar 19 2022 umeabot <umeabot> 4:1.0.4-3.mga9
+ Revision: 1800058
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 4:1.0.4-2.mga9
+ Revision: 1759375
- rebuild for php 8.1

* Wed Dec 02 2020 mokraemer <mokraemer> 4:1.0.4-1.mga8
+ Revision: 1651591
- new version 1.0.4

* Wed Dec 02 2020 mokraemer <mokraemer> 4:1.0.3-1.mga8
+ Revision: 1651385
- fix for gcc
- new version 1.0.3

* Thu Jun 18 2020 mokraemer <mokraemer> 4:1.0.2-4.mga8
+ Revision: 1596231
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 4:1.0.2-3.mga8
+ Revision: 1538980
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 4:1.0.2-2.mga8
+ Revision: 1463531
+ rebuild (emptylog)

* Thu Jan 10 2019 mokraemer <mokraemer> 4:1.0.2-1.mga7
+ Revision: 1354629
- new version 1.0.2

* Wed Dec 12 2018 mokraemer <mokraemer> 4:1.0.1-9.mga7
+ Revision: 1340420
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 4:1.0.1-8.mga7
+ Revision: 1326072
- add epoch
- moved package name
- rename package

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-5.mga7
+ Revision: 1325724
- fix Obsoletes

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-4.mga7
+ Revision: 1325711
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1300233
- Mageia 7 Mass Rebuild

* Mon Dec 18 2017 mokraemer <mokraemer> 1.0.1-2.mga7
+ Revision: 1183285
+ rebuild (emptylog)

* Mon Dec 04 2017 mokraemer <mokraemer> 1.0.1-1.mga7
+ Revision: 1181284
- added support for old mcrypt
- Created package structure for php-pecl-mcrypt.

